Package org.snpeff.nmer

# Class NmerCountWc

java.lang.Object
org.snpeff.nmer.NmerCount
org.snpeff.nmer.NmerCountWc

All Implemented Interfaces:
  `Serializable`

public class NmerCountWc extends NmerCount
Create a counter that can count Nmers as well as their WC complements That means that given an Nmer, the nmer and the Watson-Crick complement are counted the same. How is done: Given an nmer - Calculate WC complement: nmerWc = WC(nmer) - Count the minimum of both nmer.count( min(nmer, nmerWc) ) It works with other counters (NmerCountBit, NmerCountByte, NmerCountInt)

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.nmer.NmerCount

`debug`

## Constructor Summary

Constructors
Constructor
Description
`NmerCountWc(int nmerSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`count(Nmer nmer)`
Count an instance of this Nmer

### Methods inherited from class org.snpeff.nmer.NmerCount

`avg, countLessThan, get, get, max, max, random, size, toString, toStringAll, toStringAll, total`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NmerCountWc

public NmerCountWc(int nmerSize)

## Method Details

### count

public void count(Nmer nmer)
Description copied from class: `NmerCount`
Count an instance of this Nmer

Overrides:
  `count` in class `NmerCount`
Parameters:
  `nmer` -